package com.yonge.cooleshow.biz.dal.service.impl;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.yonge.cooleshow.biz.dal.entity.UserOrderPayment;
import com.yonge.cooleshow.biz.dal.dao.UserOrderPaymentDao;
import com.yonge.cooleshow.biz.dal.service.UserOrderPaymentService;


@Service
public class UserOrderPaymentServiceImpl extends ServiceImpl<UserOrderPaymentDao, UserOrderPayment> implements UserOrderPaymentService {

    @Override
    public UserOrderPayment detailByOrderNo(String orderNo) {
        return baseMapper.selectOne(Wrappers.<UserOrderPayment>lambdaQuery()
                .eq(UserOrderPayment::getOrderNo, orderNo));
    }

    @Override
    public UserOrderPayment detailByTransNo(String transNo) {
        return baseMapper.selectOne(Wrappers.<UserOrderPayment>lambdaQuery()
                .eq(UserOrderPayment::getTransNo, transNo));
    }
}